/*------>>> TABLE OF CONTENTS <<<-------
    - Primary Navigation
    - Megamenu
    - Breadcrumbs
*/


/************************************
/*----------------------------------
/*  PRIMARY NAVIGATION
/*----------------------------------
/*************************************/


/*---> Navigation Utility Bar <---*/
.primary-nav {
	display:block;
    width:100vw;
	margin-left:auto;
    margin-right:auto;
	position:absolute;
    top:100%;
    left:0;
    right:0;
	z-index:1;
}
.flexnav,
.flexnav ul {
	list-style:none;
} 
.flexnav {
	width:100%;	
	max-height:0;
	overflow:hidden;
	position:absolute;
	top:100%;	
	margin:0 auto;
	padding:0;
    -webkit-box-shadow:0px 25px 50px 0px rgba(var(--color-black-rgb),0.15);
    -moz-box-shadow:0px 25px 50px 0px rgba(var(--color-black-rgb),0.15);
    box-shadow:0px 25px 50px 0px rgba(var(--color-black-rgb),0.15);
	-webkit-transform-style:preserve-3d;
	transform-style:preserve-3d;
	-webkit-transition:all .5s cubic-bezier(0.77, 0, 0.175, 1);
	-moz-transition:all .5s cubic-bezier(0.77, 0, 0.175, 1);
	-ms-transition:all .5s cubic-bezier(0.77, 0, 0.175, 1);
	transition:all .5s cubic-bezier(0.77, 0, 0.175, 1);
}  
.flexnav.opacity {
	opacity:1;
}
.flexnav.flexnav-show {
	opacity:1;
	padding:0;	
	max-height:2000px;
	-webkit-transition:all .5s cubic-bezier(0.77, 0, 0.175, 1);
	-moz-transition:all .5s cubic-bezier(0.77, 0, 0.175, 1);
	-ms-transition:all .5s cubic-bezier(0.77, 0, 0.175, 1);
	transition:all .5s cubic-bezier(0.77, 0, 0.175, 1);
}
.flexnav.one-page {
	max-width:200px;
	position:fixed;
	top:50px;
	right:5%;
}
.flexnav li {
	overflow:hidden;
	position:relative;
	font-size:100%;
}
.flexnav li::before {
    display:none; /* Reset from base styles */
}
.flexnav li a {
	background:var(--color-white);
	display:block;
	position:relative;
	overflow:hidden;
	padding:1.375rem 1.25rem;
	margin:0;
	font-size:0.938rem;
	font-weight:700;
	color:var(--color-base);
	text-align:left;
	line-height:1.2;
	border-top:1px solid var(--color-nav-accent02);
	z-index:2;
}
.flexnav > li > a {
    text-transform:uppercase;
}
.flexnav .navOnlyLink {
    cursor:default;
} 
/*- nested UL -*/
.flexnav li ul {
	margin:0;
	width:100%;
	padding:0;
}
.flexnav li ul li {
	position:relative;
	overflow:hidden;
	font-size:100%;

    float:none;
}
.flexnav li ul.flexnav-show li {
	overflow:visible;
}
.flexnav li ul li a {
	padding-left:2.5rem;
    font-weight:400;
	border:0;
    background-color:var(--color-nav-accent02);
}
/*- Third Level -*/
.flexnav li ul li ul li a {
	padding-left:3.5rem;
    font-weight:400;
    background-color:var(--color-nav-accent01);
}
/*- Fourth Level -*/
.flexnav li ul li ul li ul a {
	padding-left:4.5rem;
    background-color:var(--color-nav-accent03);
}
/*- drop down arrows -*/
.flexnav .touch-button {
	display:inline-block;
	width:50px; /* width of menu button */
	height:64px; /* height of li */
	position:absolute;
	top:0;
	right:0;
	background:transparent;
	z-index:999;
}
.flexnav .touch-button .touch-button-svg {
	fill:var(--color-base);
	width:25px;
	height:25px;
	position:absolute;
    inset:0;
    margin:auto;
	-webkit-transition:all 0.2s ease-in-out;
	transition:all 0.2s ease-in-out;
}
.flexnav .touch-button.active .touch-button-svg {
	transform:rotate(180deg);
}
.flexnav .touch-button:hover {
	cursor:pointer;
}
.flexnav .touch-button .navicon {
	display:none;
}
/*- menu button -*/
.menu-button {
	display:block;
	margin:0;
	padding:0.875rem 0 0.875rem 2rem;
	position:relative;
	font-size:1rem;
	color:var(--color-base);
	line-height:1;
	cursor:pointer;
	z-index:10000;
}
.menu-button.one-page {
	position:fixed;
	top:0;
	right:5%;
	padding-right:45px;
}
.menu-button .touch-button {
	display:block;
    margin:0;
	width:20px;
	height:100%;
	position:absolute;
    left:0;
	top:0;
}
.menu-button .touch-button .navicon {
	display:block;
	height:2px;
	width:100%;
	position:absolute;
    inset:0;
    margin:auto;
	background:var(--color-base);
	-webkit-transition:background 0.2s;
	transition:background 0.2s;
	border-radius:3px;
}
.menu-button .touch-button .navicon::before {
	display:block;
	width:100%;
	height:2px;
	position:absolute;
	top:-7px;
	left:0;
	content:"";
	background-color:var(--color-base);
	-webkit-transition-property:top, -webkit-transform;
	transition-property:top, transform;
	-webkit-transition-duration:.3s, .3s;
	transition-duration:.3s, .3s;
	-webkit-transition-delay:.3s, 0s;
	transition-delay:.3, 0s;
	border-radius:3px;
}
.menu-button .touch-button .navicon::after {
	display:block;
	width:100%;
	height:2px;
	position:absolute;
	left:0;
	bottom:-7px;
	content:"";
	background-color:var(--color-base);
	-webkit-transition-property:bottom, -webkit-transform;
	transition-property:bottom, transform;
	-webkit-transition-duration:.3s, .3s;
	transition-duration:.3s, .3s;
	-webkit-transition-delay:.3s, 0s;
	transition-delay:.3s, 0s;
	border-radius:3px;
}
.menu-button .touch-button.active .navicon {
	background:transparent;
}
.menu-button .touch-button.active .navicon::before,
.menu-button .touch-button.active .navicon::after {
	-webkit-transition-duration:.3s, .3s;
	transition-duration:.3s, .3s;
	-webkit-transition-delay:.3s, 0s;
	transition-delay:0s, 0.3s;
}
.menu-button .touch-button.active .navicon::before {
	top:0;
	-webkit-transform:rotate(45deg);
	-ms-transform:rotate(45deg);
	transform:rotate(45deg);
}
.menu-button .touch-button.active .navicon::after {
	bottom:0;
	-webkit-transform:rotate(-45deg);
	-ms-transform:rotate(-45deg);
	transform:rotate(-45deg);
}
@media all and (min-width:1024px) {
	.primary-nav {
        width:100%;
        margin-left:0;
        margin-right:0;
        position:static;
        top:initial;
        left:initial;
        right:initial;
	}
	.flexnav {
		position:relative;
		top:auto;
		max-width:none;
		height:100%;
		max-height:100%;
		margin:0 auto 0 auto !important;
		overflow:visible;
		background:transparent;
		display:-webkit-box;
		display:-moz-box;
		display:-ms-flexbox;
		display:-webkit-flex;
		display:flex;
		-webkit-box-pack:justify;
		-moz-box-pack:justify;
		-ms-flex-pack:justify;
		-webkit-justify-content:space-around;
		justify-content:space-around;
		-ms-flex-line-pack:center;
		-webkit-align-content:center;
		align-content:center;
		box-shadow:none;
		border-radius:0;
		transition:all 0.3s ease;
		-webkit-transition:all 0.3s ease;
		transition:all 0.3s ease;
	}
	body.one-page {
		padding-top:70px;
	}
	.flexnav.opacity {
		opacity:1;
	}
	.flexnav.one-page {
		max-width:1080px;
		top:0;
		right:auto;
	}
	.flexnav li {
		display:block;
		position:relative;
		list-style:none;
		float:left;
		overflow:visible;
		flex-grow:1;
		height:100%;
	}
	.flexnav > li > a {
		padding:1rem 0;
		display:-webkit-flex;
		display:flex;
		-webkit-align-items:center;
		align-items:center;
		-webkit-justify-content:center;
		justify-content:center;
		background:transparent;
		/*text-align:center;*/
		-webkit-transition:all 0.3s ease;
		transition:all 0.3s ease;
		border:0 !important;
	}
	.flexnav li a:active {
		color:var(--color-secondary-dark);
	}
	.flexnav li a:is(:active, :focus, :focus-visible) {
		text-decoration:none;
	}
	.flexnav li a:is(:focus, :focus-visible) {
		outline:0;
		border:0;
	}
	/*- nested UL -*/
	.flexnav li ul {
		display:none;
        -webkit-box-shadow:0px 25px 50px 0px rgba(var(--color-black-rgb),0.15);
        -moz-box-shadow:0px 25px 50px 0px rgba(var(--color-black-rgb),0.15);
        box-shadow:0px 25px 50px 0px rgba(var(--color-black-rgb),0.15);
	}
	.flexnav li > ul {
		width:200px;
		position:absolute;
		top:100%;
		right:-100%;
		left:-100%;
		margin:0 auto;
		background:var(--color-white);
		padding:0.5rem 0;
	}
    .flexnav > li > ul::before {
		position:absolute;
		content:'';
		display:block;
		width:0;
		height:0;
		top:-10px;
		left:50%;
        -webkit-transform:translateX(-50%);
        transform:translateX(-50%);
		border:inset 0.75rem;
		border-color:transparent transparent #fff;
		border-bottom-style:solid;
		border-top-width:0;
	}
	.flexnav li > ul li {
		width:100%;
		height:auto;
	}
	.flexnav li > ul li a {
		padding:0.25rem 0.875rem !important;
		background:transparent;
		/*text-align:center;*/
	}
	.flexnav li ul li > a:hover
	/*.flexnav li ul li > a.active*/ {
		color:var(--color-secondary);
	}
	/*- Third Level -*/
	.flexnav li > ul li ul {
		top:-0.5rem; /* adjust for padding on ul */
		right:auto;
		left:100%;
		background:var(--color-nav-accent01);
	}
	/*- Fourth Level -*/
	.flexnav li > ul li > ul li > ul {
		background:var(--color-nav-accent02);
	}
	/*- drop down arrows -*/
	.flexnav .touch-button {
		display:none;
	}
	.touch .flexnav .touch-button {
		display:block; 
	}
	.flexnav .touch-button {
		width:25px;
		height:14px;
		margin:0 auto;
		top:auto;
		left:0;
		right:0;
		bottom:0.188rem;
	}
	.item-with-ul .item-with-ul .touch-button { /* Second Level Touch Button */
		margin:0;
		top:50%;
		left:auto;
		right:0;
		bottom:auto;
		top:50%;
		-webkit-transform:translateY(-50%);
		transform:translateY(-50%);
	}
	.item-with-ul .item-with-ul .touch-button .touch-button-svg {
		transform:rotate(-90deg);
	}
	.item-with-ul .item-with-ul .touch-button.active .touch-button-svg {
		transform:rotate(90deg);
	}
	/*- menu button -*/
	.menu-button {
		display:none;
	}
}
/*---> Navigation Utility Bar Compact <---*/
.menu-button {
	margin:0 -0.625rem; /*- Pull to override the column padding -*/
	width:50px;
	height:100%;
    background:var(--color-nav-accent01);
}
.menu-button .touch-button {
    margin:0 auto;
	right:0;
}
@media all and (min-width:1024px) {
	.primary-nav {
		height:42px;
	}
	.flexnav > li > a {
		padding:0 0 0.875rem 0;
		height:100%;
	}
	.flexnav li a {
		background:transparent !important;
	}
}
/*---> Navigation Ghost <---*/
.menu-button {
	background:transparent;
}
.menu-button .touch-button .navicon {
	background:var(--color-white);
}
.menu-button .touch-button .navicon::before {
	background-color:var(--color-white);
}
.menu-button .touch-button .navicon:after {
	background-color:var(--color-white);
}
@media all and (min-width:1024px) {
	.flexnav > li > a {
		color:var(--color-white);
	}
	.flexnav > li .touch-button .touch-button-svg {
		fill:var(--color-white);
	}
	.flexnav li ul li .touch-button .touch-button-svg {
		fill:var(--color-base);
	}
}


/************************************
/*----------------------------------
/*  MEGAMENU
/*----------------------------------
/*************************************/

.megamenu {
}
@media all and (min-width:64rem) {
    .flexnav li.has-megamenu {
        position:static;
    }
	.megamenu {
		background:#fff;
		position:absolute;
        right:0;
        width:calc(100vw - 1.25rem);
        max-width:calc(var(--row-max-width-rem) - 1.25rem);
		max-height:0;
		overflow:hidden;
		transition: all 0.3s ease;
		-webkit-transition: all 0.3s ease;
		transition: all 0.3s ease;
        -webkit-box-shadow:0px 25px 50px 0px rgba(var(--color-black-rgb),0.15);
        -moz-box-shadow:0px 25px 50px 0px rgba(var(--color-black-rgb),0.15);
        box-shadow:0px 25px 50px 0px rgba(var(--color-black-rgb),0.15);
		z-index:2;
	}
	.megamenu::before {
		position:absolute;
		content:'';
		display:block;
		width:0;
		height:0;
		top:-10px;
		left:50%;
		border: inset 0.75rem;
		border-color: transparent transparent #fff;
		border-bottom-style: solid;
		border-top-width: 0;
	}
	.megamenu.flexnav-show {
		overflow:visible;
		max-height:20000px;
	}
	.megamenu__row {
        padding-left:0.625rem;
        padding-right:0.625rem;
	}
	.megamenu__row > .megamenu__columns,
	.megamenu__row.collapse > .megamenu__columns {
		position:relative;
        padding-left:1.25rem;
        padding-right:1.25rem;
	}
    .megamenu__row .megamenu__columns > ul,
    .megamenu__row .megamenu__columns ul > li > ul {
		box-shadow:none;
    }
	.megamenu.flexnav-show .megamenu__row .megamenu__columns > ul {
		display:flex;
	}
	.megamenu__row .megamenu__columns ul > li > ul {
		display:block;
		width:100%;
		position:relative;
		top:auto;
		right:auto;
		left:auto;
		background:transparent;
        padding:0;
        margin:0 0 1rem;
	}
	.megamenu li > ul li {
		padding:0 !important;
	}
	.megamenu__row .megamenu__columns ul li a {
		padding:0.25rem 0 !important;
	}
	.megamenu__row .megamenu__columns ul li a.top-level-link.top-level-link {
        padding-top:0.938rem !important;
        padding-bottom:0.938rem !important;
    }
	.megamenu ul li a.top-level-link {
		font-weight:700;
        border-bottom:2px solid var(--color-gray-accent);
        font-size:1.125rem;
        margin-top:1rem;
        margin-bottom:1rem;
	}
	.megamenu ul li a.top-level-link:not(:hover) {
		color:var(--color-primary);
	}
    .megamenu ul > li > ul > li:has(ul) > a,
    .megamenu ul > li > ul > li > a:not(:only-child) {
        font-weight:700;       
    }
    .megamenu ul > li > ul > li:has(ul) > a:not(:hover),
    .megamenu ul > li > ul > li > a:not(:only-child):not(:hover) {
        color:var(--color-primary);
    }
    /*- About MMCI Mega Menu -*/
    .megamenu--for-about-mmci {
    }
    .megamenu--for-about-mmci::before {
		left:calc(150px + 4.4%);
    }
    .megamenu__columns--for-about-mmci-clearpath > ul {
        margin-bottom:1rem !important; /* extra white space from floats */
    }
    .megamenu__columns--for-about-mmci-brands > ul > li > ul > li {
        width:50%;
        float:left;
    }
    /*- Palletizers -*/
    .megamenu--for-palletizers {
    }
    .megamenu--for-palletizers::before {
		left:calc(150px + 41.3%);
    }
    .megamenu__columns--for-custom-palletizers,
    .megamenu__columns--for-quick-ship-palletizers {
        max-width:243px !important;
    }
    .megamenu__columns--for-palletizing-solutions > ul > li > ul > li {
        width:50%;
        float:left;
    }
    .megamenu__columns--for-palletizing-knowledge-center > ul {
        margin-bottom:1rem !important; /* extra white space from floats */
    }
    /*- WCS / Software Mega Menu -*/
    .megamenu--for-software {
    }
    .megamenu--for-software::before {
		left:calc(150px + 51.75%);
    }
    .megamenu__columns--for-software-modules > ul {
        margin-bottom:1rem !important; /* extra white space from floats */
    }
    .megamenu__columns--for-software-modules > ul > li > ul > li {
        float:left;
    }
    .megamenu__columns--for-software-modules > ul > li > ul > li:nth-child(-n+3)  {
        width:40%;
        clear:left;
    }
    .megamenu__columns--for-software-modules > ul > li > ul > li:nth-of-type(4),
    .megamenu__columns--for-software-modules > ul > li > ul > li:nth-of-type(5) {
        width:30%;
        margin-top:-52px;
    }
    /*- Solutions Mega Menu -*/
    .megamenu--for-solutions {
    }
    .megamenu--for-solutions::before {
        left:calc(150px + 62.35%);
    }
    .megamenu--for-solutions .megamenu__columns:not(.megamenu__columns--for-solutions-conveying) {
        max-width:235px;
    }
    .megamenu--for-solutions .megamenu__columns:not(.megamenu__columns--for-solutions-conveying) > ul {
        margin-bottom:1rem !important;
    }
    .megamenu__columns--for-solutions-conveying > ul > li > ul > li {
        float:left;
    }
    .megamenu__columns--for-solutions-conveying > ul > li > ul > li:nth-child(-n+2)  {
        width:33%;
        clear:left;
    }
    .megamenu__columns--for-solutions-conveying > ul > li > ul > li:nth-of-type(3),
    .megamenu__columns--for-solutions-conveying > ul > li > ul > li:nth-of-type(4) {
        width:67%;
    }
    .megamenu__columns--for-solutions-conveying > ul > li > ul > li:nth-of-type(3) {
        margin-top:-26px;
    }
}
@media all and (min-width:1100px) {
    /*- About MMCI Mega Menu -*/
    .megamenu__columns--for-about-mmci-about > ul > li > ul > li {
        float:left;
    }
    .megamenu__columns--for-about-mmci-about > ul > li > ul > li:nth-child(-n+3) {
        width:40%;
        clear:left;
    }
    .megamenu__columns--for-about-mmci-about > ul > li > ul > li:is(:not(:nth-child(-n+3))) {
        width:60%;
    }
    .megamenu__columns--for-about-mmci-about > ul > li > ul > li:nth-of-type(4) {
        margin-top:-52px;
    }
    .megamenu__columns--for-about-mmci-about > ul > li > ul > li:nth-of-type(5) {
        margin-top:-25px;
    }
}



/************************************
/*----------------------------------
/*  BREAD CRUMBS
/*----------------------------------
/*************************************/


.bread-crumbs {
	position:relative;
	isolation:isolate;
    margin-bottom:3rem;
}
.bread-crumbs::before {
	margin:auto;
	background:var(--color-gray-accent);
	width:100vw;
	height:100%;
	content:"";
	position:absolute;
	left:-50vw;
	right:-50vw;
	z-index:-1;
}
nav.breadcrumb {
    padding:1rem 0;
}
nav.breadcrumb ol {
    font-size:0; /* Fix whitespace for li */
}
nav.breadcrumb ol li {
    line-height:1.625;
}
nav.breadcrumb ol li:not(:last-child)::after {
	/*content: "\00A0\00A0/\00A0\00A0";*/
	content: "/";
    margin-left:0.313rem;
    margin-right:0.313rem;
}
nav.breadcrumb ol li,
nav.breadcrumb ol li a {
    font-size:0.938rem;
	font-weight:700;
    text-transform:uppercase;
}
nav.breadcrumb ol li,
/* Inherit hover color from baseStyles.css */
nav.breadcrumb ol li a:not(:hover, :active, :focus, :focus-visible) {
	color:var(--color-base);
}
nav.breadcrumb ol li:last-of-type a {
    font-weight:700;
}
nav.breadcrumb ol li:last-of-type a:not(:hover, :active, :focus, :focus-visible) {
    color:var(--color-secondary)
}
.bread-crumbs::before {
    display:none;
}